Last Comment Bug 724377 - Visited add-on (preliminary reviewed version 0.093) causes immortal zombie chrome compartments
: Visited add-on (preliminary reviewed version 0.093) causes immortal zombie ch...
Status: RESOLVED FIXED
[MemShrink:P3]
:
Product: Tech Evangelism
Classification: Other
Component: Add-ons (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: general
:
:
Mentors:
https://addons.mozilla.org/firefox/do...
Depends on: 724404
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-02-05 07:23 PST by Andreas Wagner [:TheOne]
Modified: 2012-10-19 16:52 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Visited 0.10b.rev123 (156.43 KB, application/octet-stream)
2012-05-27 10:14 PDT, ZIG_ZIG_ZIG@hotmail.com
no flags Details
Visited 0.2b (159.63 KB, application/octet-stream)
2012-08-29 01:31 PDT, ZIG_ZIG_ZIG@hotmail.com
no flags Details

Description Andreas Wagner [:TheOne] 2012-02-05 07:23:36 PST
This add-on leaks chome compartments.

STR:

1) Install the add-on from the url above
2) Go to any webpage you with already visited links (I used youtube.com).
3) Press ALT+V do activate the add-on
2) Close tab and disable the add-on
4) Go to about:memory?verbose and click <minimize memory usage>
5) The add-on is still listed on about:memory

The author has been informed about this bug.
Comment 1 Nicholas Nethercote [:njn] 2012-02-05 19:46:26 PST
Which version is this?

If this is dependent on bug 724404, does that mean that when that bug is fixed the leak will be gone?  If so, I don't know if we need this bug, it would probably suffice to record which add-ons are affected in bug 724404.
Comment 2 ZIG_ZIG_ZIG@hotmail.com 2012-02-06 01:01:44 PST
My Visited 0.093 use Addon-kit 1.3 with this modules: 
self, hotkeys, widget, page-mod, tabs, and notifications

I will try to fix this bug, thank you.
Comment 3 Nicholas Nethercote [:njn] 2012-02-06 01:35:50 PST
(In reply to ZIG_ZIG_ZIG@hotmail.com from comment #2)
> My Visited 0.093 use Addon-kit 1.3 with this modules: 
> self, hotkeys, widget, page-mod, tabs, and notifications

As bug 724404 indicates, it might be the widget module that's causing the leak.
Comment 4 Jorge Villalobos [:jorgev] 2012-02-22 13:24:09 PST
Zig, version 1.5 of the SDK is now available. Please rebuild your add-on using this version and submit it to AMO, so we can check if the leaks are fixed.
Comment 5 ZIG_ZIG_ZIG@hotmail.com 2012-02-24 00:51:29 PST
Today, I use SDK ver 1.5 but it is still listed on about:memory. I will try to fix soon.

I found some bug with widget.
When I install more then one addons that use widget. The addon bar will auto show in new window.

1) Install two addons that use widget. 
2) Press CTRL+/ to close addon bar.
3) Open new window.
2) Addon bar will auto show.

Thank you.
Comment 6 ZIG_ZIG_ZIG@hotmail.com 2012-02-24 02:19:17 PST
I test SDK 1.5 with "Test Zombie" v.12 but it still be zombie.
https://builder.addons.mozilla.org/addon/1041626/revision/12/

I found cause is module name "widget" and "tabs".

When I comment widget and tabs, this addon isn't listed on about:memory.
https://builder.addons.mozilla.org/addon/1041626/revision/13/
Comment 7 Jorge Villalobos [:jorgev] 2012-02-27 07:09:09 PST
According to bug 730566 comment #5, some SDK leaks are still present.
Comment 8 Jorge Villalobos [:jorgev] 2012-04-04 15:11:43 PDT
ZIG: version 1.6 of the SDK was released and it addresses all known memory leaks. Please rebuild your add-on with the 1.6 SDK and submit an update so we can test it again.
Comment 9 Jorge Villalobos [:jorgev] 2012-04-18 12:21:03 PDT
The developer has been contacted again through the editor tools.
Comment 10 ZIG_ZIG_ZIG@hotmail.com 2012-04-19 05:58:13 PDT
I tested it on 1.6 but I see it still be zombie. I'm trying to find couse.
But now my computer that have tested code has a trouble.
I will submit update soon.
Thank you.
Comment 11 Jorge Villalobos [:jorgev] 2012-05-02 15:45:05 PDT
Do you have any updates on this, Zig?
Comment 12 ZIG_ZIG_ZIG@hotmail.com 2012-05-03 02:39:16 PDT
(In reply to Jorge Villalobos [:jorgev] from comment #11)
> Do you have any updates on this, Zig?

I will update as soon as possible. Thanks for wait.
Comment 13 Andrew Williamson [:eviljeff] 2012-05-23 08:29:29 PDT
Zig: we just need you to repack with the latest version of the SDK, 1.6.1 and upload a new version.  If the leak is still there we'll have a look into it but at the moment we can't discount known leaks in earlier versions of the SDK.

If we don't see an update by the end of next week we'll have to downgrade your listing to reduce the impact on users.
Comment 14 ZIG_ZIG_ZIG@hotmail.com 2012-05-27 10:14:39 PDT
Created attachment 627570 [details]
Visited 0.10b.rev123
Comment 15 ZIG_ZIG_ZIG@hotmail.com 2012-05-27 10:24:51 PDT
Sorry for my late.

I attach Visited 0.10b.rev123
This version use SDK 1.7

I see "jid0-xgzydxpakrowmumfwkinyrxigba-at-jetpack/api-utils/lib/traceback.js" still be zombie.
Comment 16 Jorge Villalobos [:jorgev] 2012-06-14 16:31:34 PDT
Alex, I think this is another potential problem in the SDK.
Comment 17 Jorge Villalobos [:jorgev] 2012-08-22 11:58:04 PDT
Zig, can you try again with the latest SDK?
Comment 18 ZIG_ZIG_ZIG@hotmail.com 2012-08-29 01:31:31 PDT
Created attachment 656367 [details]
Visited 0.2b

I test with SDK 1.9 and after I disable it and call GC, I see 

compartment([System Principal], resource://jid0-xgzydxpakrowmumfwkinyrxigba-at-jetpack/addon-kit/lib/notifications.js, 0x9ee6000)

compartment([System Principal], jar:file:///C:/Users/XXXXX/AppData/Roaming/Mozilla/Firefox/Profiles/XXXXX.default/extensions/jid0-xGZYdxpAkROWMUMfWKINyrXigBA@jetpack.xpi!/bootstrap.js, 0x9bf9000)

still be zombies.
Comment 19 ZIG_ZIG_ZIG@hotmail.com 2012-08-29 01:41:39 PDT
If I enable it after start Firefox then disable and call GC, I see 

compartment([System Principal], resource://jid0-xgzydxpakrowmumfwkinyrxigba-at-jetpack/api-utils/lib/traceback.js, 0x92ca000)

compartment([System Principal], jar:file:///C:/Users/XXXXX/AppData/Roaming/Mozilla/Firefox/Profiles/XXXXX.default/extensions/jid0-xGZYdxpAkROWMUMfWKINyrXigBA@jetpack.xpi!/bootstrap.js, 0x886e000)

still be zombies.
Comment 20 Kris Maglione [:kmag] 2012-10-19 16:52:37 PDT
I don't see zombie compartments with the latest release on Firefox 16. Calling this fixed. You should nonetheless repack with the latest Jetpack release.

Note You need to log in before you can comment on or make changes to this bug.